Do I need to install C#8 to try out 2sxc Mobius Forms Builder?

  Kiến thức lập trình

I wanted to try out 2sxc Mobius Forms Builder on a test website (running DNN9.13.3).
Do I need to install the C# Roslyn complier to do this? Is this necessary any time 2sxc is installed?

After I installed 2sxc (using these instructions: https://azing.org/2sxc/r/YccjyzhO?activity=6a714dd7-332b-480b-8d6c-144decf0c34a), I was instructed to install a content-default package.

After I did, I got a “Features Missing” message which said:
“One or more features are missing. It’s either required for 2sxc, or the App is configured to warn you when an required feature/capability is missing.
CSharp v8 required for 2sxc 17 System-CSharp08
C# Language Support when Compiling Razor and other code for C# v8.
See ➡️ https://r.2sxc.org/dnn-roslyn (https://2sxc.org/en/download/dnn-roslyn-compiler)”

I looked at the page referenced and it said to use this page (for DNN 9.11 or newer):
https://azing.org/dnn-community/r/ogPu9EDH

which directed me to go to Extensions>> Available and install the Microsoft CodeDOM .Net Provider.

I did that, but the “Features Missing” page didn’t go away.

Next I got a message from my organization that there was a security alert that flagged an .exe file which was uploaded to the server. So I stopped and backed out (Fortunately I’m working on a test website /server)

So I wanted to ask more about this. My intention is to test out 2sxc Mobius forms and see if this might be a solution for us. Do I need to install the C# Roslyn complier to do this? Is this necessary any time 2sxc is installed?

New contributor

Tom M is a new contributor to this site. Take care in asking for clarification, commenting, and answering.
Check out our Code of Conduct.

LEAVE A COMMENT